import 'package:rayconnect_client/core/http.dart';

class Profile {
  final String appId;
  Http _http;

  Profile({this.appId}) {
    this._http = new Http(appId: this.appId);
  }

  Future<Map<String, dynamic>> fetch() async {
    return await this._http.get(
          url:
              'https://s1.iranserver1.rayconnect.ir/api/v2/profile?aid=${this.appId}',
          auth: true,
        );
  }

  Future<Map<String, dynamic>> update(Map data) async {
    return await this._http.post(
          url: 'https://s1.iranserver1.rayconnect.ir/api/v2/profile',
          auth: true,
          data: data,
        );
  }
}
